Commit 79a5b9dd authored by imirkin's avatar imirkin Committed by nouveau
Browse files

update vpe2 information, required software versions

parent 5f18c322
......@@ -40,7 +40,7 @@ VP5 | N/A<sup>1</sup> | [[!color background=palegreen text=DONE ]] | [[!color ba
2 - H.264 interlaced streams are not supported, which apparently make up some fraction of DVB-T content.
3 - Tested to work on NV44 PCI-E, NV96. Tested to not work on NV43 AGP, NV34 PCI-E. More testing appreciated, please report results in the #nouveau IRC channel. These cards are getting old and harder to come by.
3 - Works on NV40+, fails on NV31/34/36.
## Firmware
......@@ -68,9 +68,12 @@ You should be ready to use video decoding.
All acceleration is supported by the kernel and mesa's Gallium3D drivers (driven by its XvMC and VDPAU state trackers). Here are the version requirements for the various engines:
* VPE2: For NV50+: Kernel 3.0 (approx), Mesa 8.0. For pre-NV50, Kernel 3.11 or nouveau/master and mesa-git. If you want to force use of this engine for NV84+ even if though have VP2, you can set `NOUVEAU_PMPEG=1` in your environment.
* VPE2:
* NV50+: Kernel 3.0 (approx), Mesa 8.0. If you want to force use of this engine for NV84+ even if though have VP2, you can set `NOUVEAU_PMPEG=1` in your environment (with Mesa 9.3).
* NV44+: Kernel 3.11, Mesa 9.3 (or mesa-git).
* NV40+: nouveau/master, Mesa 9.3 (or mesa-git).
* VP2: Kernel 3.11, Mesa 9.2; until 3.11 is released, you will need to use the nouveau/master kernel. See [[VP2]].
* VP3/VP4.0: Kernel 3.12 (i.e. nouveau/master) and Mesa 9.3 (i.e. mesa-git). See [[VP4]].
* VP3/VP4.0: Kernel 3.12-rc1 and Mesa 9.3 (i.e. mesa-git). See [[VP4]].
* VP4.2: Kernel 3.8, Mesa 9.1
* VP5: Kernel 3.8, Mesa 9.1
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment